Bug 3705 - "date" gets munged
"date" gets munged
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: clock (Show other bugs)
6.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-24 10:04 EDT by michael.waite
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-24 23:08:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description michael.waite 1999-06-24 10:04:56 EDT
We are constantly haveing to re-enter the correct date on
our AlphaServer1200. This is a major problem for us as we y
monitor system access. Aslo nis dies when the date is
drastically different than that of the server.
When we setup the system we told it to get it's time from
the "alpha bios". We do not have a problem with "date" on
Tru64 UNIX nor NT (Alpha) there fore I am assuming that
date does not work correctly on RedHat Linux 6.0 (Alpha)
It's not so much the time but the year keeps jumping ahead
to "2079"
Comment 1 Bill Nottingham 1999-06-24 12:18:59 EDT
Does it boot through the ARC or SRM console?

------- Email Received From  "Waite, Michael" <Michael.Waite@compaq.com> 06/24/99 12:24 -------
Comment 2 Bill Nottingham 1999-06-24 15:11:59 EDT
Does it jump forward only on reboots, or spontaneously during
normal use?

If it only jumps on reboots, you might want to force the SRM
mode on 'clock' - apply the following patch to /etc/rc.d/rc.sysinit:

--- rc.sysinit.foo	Thu Jun 24 15:07:58 1999
+++ rc.sysinit	Thu Jun 24 15:08:47 1999
@@ -307,6 +307,7 @@
 rm -f /tmp/.s.PGSQL.*

 # Set the system clock.
+SRM=0
 ARC=0
 UTC=0
 if [ -f /etc/sysconfig/clock ]; then
@@ -342,6 +343,12 @@
    yes|true)
      CLOCKFLAGS="$CLOCKFLAGS -A";
      CLOCKDEF="$CLOCKDEF (arc)";
+   ;;
+ esac
+ case "$SRM" in
+   yes|true)
+     CLOCKFLAGS="$CLOCKFLAGS -S";
+     CLOCKDEF="$CLOCKDEF (srm)";
    ;;
  esac
 fi

and then add a line that says 'SRM=true' to /etc/sysconfig/clock.
Does that help at all?
Comment 3 Bill Nottingham 1999-09-24 23:08:59 EDT
Closed, lack of input.

Note You need to log in before you can comment on or make changes to this bug.